Noțiuni de bază de actualizare automată de lucru cu script greasemonkey (Programare, Greasemonkey, Tampermonkey)

user3930869 a intrebat.
a intrebat.

Am bifurcat un script greasemonkey și vreau ca acesta să se actualizeze automat la schimbarea versiunii ca originalul și am editat scriptul

@updateURL și @downloadURL

pentru a indica fișierele corecte, dar, indiferent de motiv, scriptul nu se actualizează atunci când trimit o versiune actualizată cu un număr de versiune mărit.

meta.js al meu

// ==UserScript==
// @name         4chan X with translator
// @version      1.13.6.1
// @minGMVer     1.14
// @minFFVer     26
// @namespace    4chan-X
// @description  Cross-browser userscript for maximum lurking on 4chan.
// @license      MIT; https://github.com/ccd0/4chan-x/blob/master/LICENSE 
// @include      http://boards.4chan.org/*
// @include      https://boards.4chan.org/*
// @include      http://sys.4chan.org/*
// @include      https://sys.4chan.org/*
// @include      http://www.4chan.org/*
// @include      https://www.4chan.org/*
// @include      http://i.4cdn.org/*
// @include      https://i.4cdn.org/*
// @include      http://is.4chan.org/*
// @include      https://is.4chan.org/*
// @include      http://is2.4chan.org/*
// @include      https://is2.4chan.org/*
// @include      https://www.google.com/recaptcha/api2/anchor?k=6Ldp2bsSAAAAAAJ5uyx_lx34lJeEpTLVkP5k04qc*
// @include      https://www.google.com/recaptcha/api2/frame?*&k=6Ldp2bsSAAAAAAJ5uyx_lx34lJeEpTLVkP5k04qc*
// @include      https://www.google.com/recaptcha/api2/frame?*&k=887877714&*
// @include      http://www.google.com/recaptcha/api/fallback?k=6Ldp2bsSAAAAAAJ5uyx_lx34lJeEpTLVkP5k04qc*
// @include      https://www.google.com/recaptcha/api/fallback?k=6Ldp2bsSAAAAAAJ5uyx_lx34lJeEpTLVkP5k04qc*
// @exclude      http://www.4chan.org/pass
// @exclude      https://www.4chan.org/pass
// @exclude      http://www.4chan.org/pass?*
// @exclude      https://www.4chan.org/pass?*
// @exclude      http://www.4chan.org/advertise
// @exclude      https://www.4chan.org/advertise
// @exclude      http://www.4chan.org/advertise?*
// @exclude      https://www.4chan.org/advertise?*
// @exclude      http://www.4chan.org/donate
// @exclude      https://www.4chan.org/donate
// @exclude      http://www.4chan.org/donate?*
// @exclude      https://www.4chan.org/donate?*
// @connect      4chan.org
// @connect      4cdn.org
// @connect      *
// @grant        GM_getValue
// @grant        GM_setValue
// @grant        GM_deleteValue
// @grant        GM_listValues
// @grant        GM_addValueChangeListener
// @grant        GM_openInTab
// @grant        GM_xmlhttpRequest
// @run-at       document-start
// @updateURL    https://translate.ss13.moe/4chan-X.meta.js
// @downloadURL  https://translate.ss13.moe/4chan-X.user.js
// @icon         data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAACVBMVEUAAGcAAABmzDNZt9VtAAAAAXRSTlMAQObYZgAAAF5JREFUeNrtkTESABAQxPD/R6tsE2dUGYUtFJvLDKf93KevHJAjpBorAQWSBIKqFASC4G0pCAkm4GfaEvgYXl0T6HBaE97f0vmnfYHbZOMLZCx9ISdKWwjOWZSC8GYm4SUGwfYgqI4AAAAASUVORK5CYII=
// ==/UserScript==

Comentarii

  • Ați etichetat acest lucru ca fiind Greasemonkey, dar GM_addValueChangeListener nu este Greasemonkey valid (doar Tampermonkey). Folosești Firefox, Chrome sau ce?  > Por Brock Adams.
  • Eu personal folosesc Firefox, dar scriptul este cross platform. –  > Por user3930869.
  • Scenariul NU este cross platform dacă folosește GM_addValueChangeListener. Acesta funcționează doar pe Chrome+Tampermonkey. GM și TM tratează actualizările în mod ușor diferit, de asemenea. –  > Por Brock Adams.
  • Nu știu ce să vă spun că nu am făcut inițial întregul script, dar funcționează pe Firefox și Greasemonkey, deoarece asta folosesc, dar tocmai l-am editat. –  > Por user3930869.
1 răspunsuri
Dawid Laszuk

Două atribute de actualizare, adică. @updateURL și @downloadURL, , nu sunt acceptate în GreaseMonkey 4.0+, care este aproximativ momentul în care a fost postată această întrebare. Dacă vă confruntați cu aceeași problemă, utilizați doar TamperMonkey în schimb.

Comentarii

  • OP întreabă despre GreaseMonkey; nu despre TamperMonkey –  > Por Zoe.
  • @Zoe ia-ți un minut și citește ce am scris. Spune că versiunea actuală a GM nu suportă aceste atribute meta. –  > Por Dawid Laszuk.
  • Am citit-o, iar partea la care mă refer în mod special este ultimul rând. –  > Por Zoe.
  • Care este o sugestie că, dacă OP vrea să continue să folosească aceste atribute, atunci TM este o opțiune. –  > Por Dawid Laszuk.